      program example1b
      include 'mpif.h'
      integer ierr
      print *, 'Before MPI_INIT'
      call MPI_INIT(ierr)
      print *, 'Parallel section'
      call MPI_FINALIZE(ierr)
      print *, 'After MPI_FINALIZE'
      end
